<template>
    <div v-if="HasMeta">
        <q-list separator>
            <q-item v-for="(v, k) in meta" :key="k">
                <q-item-section> {{ k }}</q-item-section>
                <q-item-section>
                    <q-chip square v-for="(value, i) in v" :key="i">
                        <q-avatar color="red" text-color="white"> {{ value.Take() }}</q-avatar>
                        {{ value }}
                    </q-chip>
                </q-item-section>
            </q-item>
        </q-list>
    </div>
    <div v-else class="text-center text-weight-light text-subtitle1"> No meta-data</div>

</template>

<script lang='ts'>
import {Component, Prop, Vue} from 'vue-property-decorator';

@Component
export default class MetaData extends Vue {
    @Prop() meta!: { [s: string]: string[] }

    get HasMeta() {
        for (let k in this.meta) {
            if (this.meta.hasOwnProperty(k)) {
                return true;
            }
        }
        return false;
    }

}
</script>

<style lang='scss' scoped>

</style>
